Package org.picocontainer.classname

# Class ClassName

java.lang.Object
org.picocontainer.classname.ClassName

All Implemented Interfaces:
  `CharSequence`

public class ClassName extends Object implements CharSequence
ClassName is a simple wrapper for a class name which is used as a key in the registration of components in PicoContainer.

Author:
  Paul Hammant

## Constructor Summary

Constructors
Constructor
Description
`ClassName(String className)`

## Method Summary

Modifier and Type
Method
Description
`char`
`charAt(int ix)`
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`int`
`length()`
`CharSequence`
`subSequence(int from, int to)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints, isEmpty`

## Constructor Details

### ClassName

public ClassName(String className)

## Method Details

### length

public int length()

Specified by:
  `length` in interface `CharSequence`

### charAt

public char charAt(int ix)

Specified by:
  `charAt` in interface `CharSequence`

### subSequence

public CharSequence subSequence(int from, int to)

Specified by:
  `subSequence` in interface `CharSequence`

### toString

public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`